/*******************************************************************************
 * Copyright (c) 2005,2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.tptp.filtertype.extension.sample.actions;

import org.eclipse.hyades.trace.ui.UIPlugin;
import org.eclipse.hyades.trace.ui.actions.OpenAssociatedTraceViewAction;
import org.eclipse.jface.action.IAction;
import org.eclipse.tptp.filtertype.extension.sample.views.FilterTypeSampleView;
import org.eclipse.ui.IWorkbenchPage;

public class FilterTypeSampleViewAction extends OpenAssociatedTraceViewAction {
	private static final String VIEW_ID = "org.eclipse.tptp.filtertype.extension.sample.views.FilterTypeSampleView";

	public FilterTypeSampleViewAction() {
		super("");
	}
	
	private void openView() {
		try {
			IWorkbenchPage persp = UIPlugin.getActivePage();
			FilterTypeSampleView view = (FilterTypeSampleView) persp.showView(VIEW_ID);
			view.refresh();
		} catch (Exception e) {
			
			e.printStackTrace();
		}		
	}
	public void run() {
		openView();
	}
	public void run(IAction action) {
		run();
	}

	public String getViewID() {
		return VIEW_ID;
	}
}
