/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: NamedElement.java,v 1.1 2007-12-05 20:02:58 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.common.runner.model;



/**
 * Abstract named element abstract class.
 * <p>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @author  Marcelo Paternostro
 * @version April 12, 2007
 * @since   August 7, 2005
 * @since   1.0.2
 */
public abstract class NamedElement {

	private String id = null;
	private String name = null;
	private String description = null;
	private int iteration = 1;
	private int executionId = 0;
	
	public void dispose(){
		//No-operation intended to be implemented by subclasses.
	}
	
	public String getId(){
		return id;
	}

	public void setId(String id){
		this.id = id;
	}

	public String getName(){
		return name;
	}

	public void setName(String name){
		this.name = name;
	}

	public String getDescription(){
		return description;
	}

	public void setDescription(String description){				
		this.description = description;
	}
	
	public int getIteration(){
		return iteration;
	}

	public void setIteration(int iteration){
		this.iteration = iteration;
	}
	
	public void setExecutionId(int executionId){
		this.executionId = executionId;
	}
	
	public int getExecutionId(){
		return executionId;
	}
	
	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString(){
		return ((getName() != null) ? getName() : "");
	}
 }
