package org.eclipse.hyades.logging.core;
/**********************************************************************
 * Copyright (c) 2006, 2008 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: LoggingAgentNotRegisteredException.java,v 1.2 2008-01-24 02:26:07 apnan Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/

/**
 * Exception for unregistered agent. It throws by <code> LoggingAgent 
 * <code> at 
 * <li> getNodeUUID()</li>
 * <li> getJVMUUID()</li>
 * 
 * @author CindyJ
 * @auther Paul E.Slauenwhite
 * @since September 6,2006
 *
 */
public class LoggingAgentNotRegisteredException extends Exception {
		
	protected static final long serialVersionUID = -8614171739923792027L;

	public LoggingAgentNotRegisteredException() {
		super();
	}

	public LoggingAgentNotRegisteredException(String message) {
		super(message);
	}
}
