/*******************************************************************************
 * Copyright (c) 2008, 2011 Intel Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * $Id: BFAGMethodExitParser.java,v 1.2 2008/03/24 23:08:03 jkubasta Exp $
 *
 * Contributors:
 *    Stanislav Polevic, Intel - Initial API and Implementation 
 * 	  
 *******************************************************************************/
package org.eclipse.hyades.loaders.internal.binary.v1;

import org.eclipse.hyades.loaders.internal.binary.BFReader;
import org.eclipse.hyades.loaders.internal.binary.BinaryFragment;
import org.eclipse.hyades.loaders.internal.binary.BinaryFragmentParser;
import org.eclipse.hyades.loaders.internal.binary.Offset;
import org.eclipse.hyades.loaders.util.BinaryFragmentLoader;

public class BFAGMethodExitParser extends BinaryFragmentParser {

	public static final Short ID = new Short((short) 1037);
	public static final short SWITCH_ID = 1037;
	
	public static final String NAME = "agMethodExit"; 

	public BFAGMethodExitParser() {
		super(ID, NAME);
	}
	
	public boolean parse(BinaryFragment fragment, Offset offset, BFReader reader) {
		byte[] data = fragment.getBody();
		BinaryFragmentLoader loader = getLoader();

		loader.addAttribute(BinaryTraceConstants.THREAD_ID_REF, (int) reader.readLong(data, offset));
		loader.addAttribute(BinaryTraceConstants.METHOD_ID_REF, (int) reader.readLong(data, offset));
		
		return true;
	}
}
