/**********************************************************************
 * Copyright (c) 2003, 2011 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 *
 * $Id: TRCFilter.java,v 1.2 2007-12-01 00:06:20 apnan Exp $
 **********************************************************************/

/*
 * generated using Hyades customized JET templates
 */

package org.eclipse.hyades.models.hierarchy;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>TRC Filter</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * A filter describes a pattern that can be used during data collection to control the data being collected.
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getType <em>Type</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getPattern <em>Pattern</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getMode <em>Mode</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getActive <em>Active</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOperation <em>Operation</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getConfiguration <em>Configuration</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigGenericPattern <em>Orig Generic Pattern</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigMode <em>Orig Mode</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigPattern <em>Orig Pattern</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigMethodPattern <em>Orig Method Pattern</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigMethodMode <em>Orig Method Mode</em>}</li>
 *   <li>{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigMethodGenericPattern <em>Orig Method Generic Pattern</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter()
 * @model
 * @generated
 */
public interface TRCFilter extends EObject {
	/**
	 * Returns the value of the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Type</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Type</em>' attribute.
	 * @see #setType(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_Type()
	 * @model
	 * @generated
	 */
	String getType();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getType <em>Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Type</em>' attribute.
	 * @see #getType()
	 * @generated
	 */
	void setType(String value);

	/**
	 * Returns the value of the '<em><b>Pattern</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pattern</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pattern</em>' attribute.
	 * @see #setPattern(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_Pattern()
	 * @model
	 * @generated
	 */
	String getPattern();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getPattern <em>Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pattern</em>' attribute.
	 * @see #getPattern()
	 * @generated
	 */
	void setPattern(String value);

	/**
	 * Returns the value of the '<em><b>Mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Mode</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Mode</em>' attribute.
	 * @see #setMode(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_Mode()
	 * @model
	 * @generated
	 */
	String getMode();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getMode <em>Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Mode</em>' attribute.
	 * @see #getMode()
	 * @generated
	 */
	void setMode(String value);

	/**
	 * Returns the value of the '<em><b>Active</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Active</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Active</em>' attribute.
	 * @see #setActive(Boolean)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_Active()
	 * @model
	 * @generated
	 */
	Boolean getActive();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getActive <em>Active</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Active</em>' attribute.
	 * @see #getActive()
	 * @generated
	 */
	void setActive(Boolean value);

	/**
	 * Returns the value of the '<em><b>Operation</b></em>' attribute.
	 * The default value is <code>""</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Operation</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Operation</em>' attribute.
	 * @see #setOperation(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_Operation()
	 * @model default=""
	 * @generated
	 */
	String getOperation();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOperation <em>Operation</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Operation</em>' attribute.
	 * @see #getOperation()
	 * @generated
	 */
	void setOperation(String value);

	/**
	 * Returns the value of the '<em><b>Configuration</b></em>' container reference.
	 * It is bidirectional and its opposite is '{@link org.eclipse.hyades.models.hierarchy.TRCConfiguration#getFilters <em>Filters</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Configuration</em>' container reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Configuration</em>' container reference.
	 * @see #setConfiguration(TRCConfiguration)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_Configuration()
	 * @see org.eclipse.hyades.models.hierarchy.TRCConfiguration#getFilters
	 * @model opposite="filters" required="true"
	 * @generated
	 */
	TRCConfiguration getConfiguration();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getConfiguration <em>Configuration</em>}' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Configuration</em>' container reference.
	 * @see #getConfiguration()
	 * @generated
	 */
	void setConfiguration(TRCConfiguration value);

	/**
	 * Returns the value of the '<em><b>Orig Generic Pattern</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Orig Generic Pattern</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Orig Generic Pattern</em>' attribute.
	 * @see #setOrigGenericPattern(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_OrigGenericPattern()
	 * @model
	 * @generated
	 */
	String getOrigGenericPattern();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigGenericPattern <em>Orig Generic Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Orig Generic Pattern</em>' attribute.
	 * @see #getOrigGenericPattern()
	 * @generated
	 */
	void setOrigGenericPattern(String value);

	/**
	 * Returns the value of the '<em><b>Orig Mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Orig Mode</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Orig Mode</em>' attribute.
	 * @see #setOrigMode(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_OrigMode()
	 * @model
	 * @generated
	 */
	String getOrigMode();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigMode <em>Orig Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Orig Mode</em>' attribute.
	 * @see #getOrigMode()
	 * @generated
	 */
	void setOrigMode(String value);

	/**
	 * Returns the value of the '<em><b>Orig Pattern</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Orig Pattern</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Orig Pattern</em>' attribute.
	 * @see #setOrigPattern(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_OrigPattern()
	 * @model
	 * @generated
	 */
	String getOrigPattern();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigPattern <em>Orig Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Orig Pattern</em>' attribute.
	 * @see #getOrigPattern()
	 * @generated
	 */
	void setOrigPattern(String value);

	/**
	 * Returns the value of the '<em><b>Orig Method Pattern</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Orig Method Pattern</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Orig Method Pattern</em>' attribute.
	 * @see #setOrigMethodPattern(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_OrigMethodPattern()
	 * @model
	 * @generated
	 */
	String getOrigMethodPattern();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigMethodPattern <em>Orig Method Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Orig Method Pattern</em>' attribute.
	 * @see #getOrigMethodPattern()
	 * @generated
	 */
	void setOrigMethodPattern(String value);

	/**
	 * Returns the value of the '<em><b>Orig Method Mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Orig Method Mode</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Orig Method Mode</em>' attribute.
	 * @see #setOrigMethodMode(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_OrigMethodMode()
	 * @model
	 * @generated
	 */
	String getOrigMethodMode();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigMethodMode <em>Orig Method Mode</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Orig Method Mode</em>' attribute.
	 * @see #getOrigMethodMode()
	 * @generated
	 */
	void setOrigMethodMode(String value);

	/**
	 * Returns the value of the '<em><b>Orig Method Generic Pattern</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Orig Method Generic Pattern</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Orig Method Generic Pattern</em>' attribute.
	 * @see #setOrigMethodGenericPattern(String)
	 * @see org.eclipse.hyades.models.hierarchy.HierarchyPackage#getTRCFilter_OrigMethodGenericPattern()
	 * @model
	 * @generated
	 */
	String getOrigMethodGenericPattern();

	/**
	 * Sets the value of the '{@link org.eclipse.hyades.models.hierarchy.TRCFilter#getOrigMethodGenericPattern <em>Orig Method Generic Pattern</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Orig Method Generic Pattern</em>' attribute.
	 * @see #getOrigMethodGenericPattern()
	 * @generated
	 */
	void setOrigMethodGenericPattern(String value);

} // TRCFilter
