/**********************************************************************
 * Copyright (c) 2005, 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: HttpRunHandler.java,v 1.9 2007-05-02 19:36:05 paules Exp $
 * 
 * Contributors: 
 * IBM Corporation - initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.tools.ui.http.internal.launch;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.debug.core.ILaunch;
import org.eclipse.debug.core.ILaunchConfiguration;
import org.eclipse.emf.ecore.resource.ResourceSet;
import org.eclipse.hyades.models.common.configuration.CFGInstance;
import org.eclipse.hyades.models.common.testprofile.TPFTest;
import org.eclipse.hyades.models.common.testprofile.TPFTestSuite;
import org.eclipse.hyades.test.core.launch.extensions.IRunHandler;

/**
 * @author jnevicos
 * @author jcanches
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class HttpRunHandler implements IRunHandler {
	/* (non-Javadoc)
	 * @see org.eclipse.hyades.test.ui.launch.extensions.IRunHandler#preRun(org.eclipse.debug.core.ILaunchConfiguration, java.lang.String, org.eclipse.debug.core.ILaunch, org.eclipse.core.runtime.IProgressMonitor)
	 */
	public void preRun(ILaunchConfiguration configuration, String mode,
			ILaunch launch, ResourceSet resourceSet, IProgressMonitor monitor) {
		try {
			TPFTest test = HttpTestLaunchConfigurationFacade.getTest(configuration, resourceSet);
			adjustTestUserCount(test, configuration);
		}
		catch (CoreException e) {}
	}
	/* (non-Javadoc)
	 * @see org.eclipse.hyades.test.ui.launch.extensions.IRunHandler#postRun(org.eclipse.debug.core.ILaunch)
	 */
	public void postRun(ILaunch launch) {
		// TODO Auto-generated method stub
	}
	
	public static void adjustTestUserCount( TPFTest test, ILaunchConfiguration configuration )
	{
		if (test instanceof TPFTestSuite)
		{
			CFGInstance instance = (CFGInstance) ((TPFTestSuite)test).getInstances().get(0);
			// Test Suites generated with previous versions of Hyades have this value as 0.
			int n = instance.getMaxCount();
			if (n < 1) {
				instance.setMaxCount(1);
				test.eResource().setModified(true);
			}
		}
	}
}
