/**********************************************************************
 * Copyright (c) 2005, 2011 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: ProfileExternalJavaApplicationTabGroup.java,v 1.11 2010-08-22 22:10:12 jwest Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.hyades.trace.ui.internal.launcher;

import java.util.ArrayList;

import org.eclipse.debug.ui.AbstractLaunchConfigurationTab;
import org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup;
import org.eclipse.debug.ui.CommonTab;
import org.eclipse.debug.ui.ILaunchConfigurationDialog;
import org.eclipse.debug.ui.ILaunchConfigurationTab;

public class ProfileExternalJavaApplicationTabGroup extends AbstractLaunchConfigurationTabGroup
{
	public void createTabs(ILaunchConfigurationDialog dialog, String mode)
	{
		ArrayList<ILaunchConfigurationTab> tabs = new ArrayList<ILaunchConfigurationTab>(10);

		ProfileHostTab hostTab = new ProfileHostTab();
		
		ProfileTab profileTab = new ProfileTab(false);
		ProfileEnvironmentTab profEnvTab = new ProfileEnvironmentTab();
		ProfileMainTab profMainTab = new ProfileMainTab(hostTab);
		
		tabs.add(hostTab);
		tabs.add(profMainTab);
		tabs.add(new ExternalJavaArgumentsTab());
		tabs.add(profileTab);
		tabs.add(new DestinationTab());
		tabs.add(profEnvTab);
		tabs.add(new CommonTab());

		// Set optional references
		profileTab.setOtherTabList(tabs);
		
		// Provide profiling dialogue tab list to interested extensions (Bug 323330)
		HyadesTraceUIExtensionSupportUtil.addOrInformExtensionTabs(tabs, ProfileExternalJavaApplicationTabGroup.class);
		
		AbstractLaunchConfigurationTab[] array = new AbstractLaunchConfigurationTab[tabs.size()];
		tabs.toArray(array);
		setTabs(array);
	}
}

