/* ***********************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: Internationalization.java,v 1.1 2005-03-30 08:26:41 dguilbaud Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/

/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: Internationalization.java,v 1.1 2005-03-30 08:26:41 dguilbaud Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.tptp.platform.report.chart.svg.internal.input;

import org.w3c.dom.Element;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Internationalization</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getCountry <em>Country</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getLanguage <em>Language</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getResourceBundle <em>Resource Bundle</em>}</li>
 *   <li>{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getTextDirection <em>Text Direction</em>}</li>
 * </ul>
 * </p>
 *
 * @model 
 * @generated
 */
public interface Internationalization {
	/**
	 * Returns the value of the '<em><b>Country</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Country</em>' attribute.
	 * @see #setCountry(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getInternationalization_Country()
	 * @model 
	 * @generated
	 */
	String getCountry();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getCountry <em>Country</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Country</em>' attribute.
	 * @see #getCountry()
	 * @generated
	 */
	void setCountry(String value);

	/**
	 * Returns the value of the '<em><b>Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Language</em>' attribute.
	 * @see #setLanguage(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getInternationalization_Language()
	 * @model 
	 * @generated
	 */
	String getLanguage();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getLanguage <em>Language</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Language</em>' attribute.
	 * @see #getLanguage()
	 * @generated
	 */
	void setLanguage(String value);

	/**
	 * Returns the value of the '<em><b>Resource Bundle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Resource Bundle</em>' attribute.
	 * @see #setResourceBundle(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getInternationalization_ResourceBundle()
	 * @model 
	 * @generated
	 */
	String getResourceBundle();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getResourceBundle <em>Resource Bundle</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Resource Bundle</em>' attribute.
	 * @see #getResourceBundle()
	 * @generated
	 */
	void setResourceBundle(String value);

	/**
	 * Returns the value of the '<em><b>Text Direction</b></em>' attribute.
	 * The default value is <code>"LTR"</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Text Direction</em>' attribute.
	 * @see #isSetTextDirection()
	 * @see #unsetTextDirection()
	 * @see #setTextDirection(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getInternationalization_TextDirection()
	 * @model default="LTR" unsettable="true"
	 * @generated
	 */
	String getTextDirection();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getTextDirection <em>Text Direction</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Text Direction</em>' attribute.
	 * @see #isSetTextDirection()
	 * @see #unsetTextDirection()
	 * @see #getTextDirection()
	 * @generated
	 */
	void setTextDirection(String value);

	/**
	 * Unsets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getTextDirection <em>Text Direction</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetTextDirection()
	 * @see #getTextDirection()
	 * @see #setTextDirection(String)
	 * @generated
	 */
	void unsetTextDirection();

	/**
	 * Returns whether the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getTextDirection <em>Text Direction</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Text Direction</em>' attribute is set.
	 * @see #unsetTextDirection()
	 * @see #getTextDirection()
	 * @see #setTextDirection(String)
	 * @generated
	 */
	boolean isSetTextDirection();

	/**
	 * Returns the value of the '<em><b>Timezone</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Timezone</em>' attribute.
	 * @see #setTimezone(String)
	 * @see org.eclipse.tptp.platform.report.chart.svg.internal.input.InputPackage#getInternationalization_Timezone()
	 * @model 
	 * @generated
	 */
	String getTimezone();

	/**
	 * Sets the value of the '{@link org.eclipse.tptp.platform.report.chart.svg.internal.input.Internationalization#getTimezone <em>Timezone</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Timezone</em>' attribute.
	 * @see #getTimezone()
	 * @generated
	 */
	void setTimezone(String value);

	/**
	 * Returns the document object element of this object. 
	 * If this object was not initialized with an element, null will be returned.
	 * @return the element in the DOM represented by this object
	 */
	public Element getElement(); 

} // Internationalization
