/* ***********************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: DParagraph.java,v 1.2 2008-05-23 14:11:47 jcayne Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/


package org.eclipse.tptp.platform.report.core.internal;


/**
 * A DParagraph describes a paragraph. 
 * Paragraph support alignment,all the items added to the paragraph will be displayed 
 * by the driver in the specified alignment.
 * @see IDAlignment for alignmens definitions
 * @see org.eclipse.tptp.platform.report.tools.internal.DAlignment for string convertions, and usefull static methods.
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 * 
 */
public class DParagraph extends DAbstractParagraph implements IDParagraphItem 
{   
   
   /**
    * Constructs a new Paragraph with an initial value for the property _align.
    * @param _align alignment property, combined mask of IDAligment.
    */
   public DParagraph(int _align) 
   {
   	  super(_align);
   }
   
   /**
    * Creates a DParagraph with DEFAUL_ALIGN alignment.
    */
   public DParagraph() 
   {
     super();
   }
   
}
