/* ***********************************************************
 * Copyright (c) 2005, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: IDocumentWriter.java,v 1.2 2008-05-23 14:11:47 jcayne Exp $
 *
 * Contributors:
 * IBM - Initial API and implementation
 ************************************************************/

package org.eclipse.tptp.platform.report.core.internal;

import java.io.OutputStream;


/**
 * IWriter is provided to federate any class wanted to write IDObject using an OutputStream.
 * 
 * @deprecated As of TPTP 4.5.0, use the TPTP Business Intelligence and Reporting Tools (BIRT) reporting infrastructure (<code>org.eclipse.tptp.platform.report.birt</code>).
 * 
 */
public interface IDocumentWriter {

   /**
	* Writes the IDObject to the output stream.
	*/
	public void write(OutputStream output, IDObject[] objects);
   /**
	* Writes a list of IDObjects to the output stream.
	*/
	public void write(OutputStream output, IDObject object);
}
