/**********************************************************************
 * Copyright (c) 2007, 2010 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * $Id: TestCorePluginResourceBundle.java,v 1.15 2010-02-23 13:30:00 paules Exp $
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.hyades.test.core.internal.resources;

import org.eclipse.osgi.util.NLS;

/**
 * <p>Plug-in level resource bundle.</p>
 * 
 * 
 * @author  Paul E. Slauenwhite
 * @version February 23, 2010
 * @since   March 15, 2007
 */
public final class TestCorePluginResourceBundle extends NLS {

	private static final String BUNDLE_NAME = "org.eclipse.hyades.test.core.internal.resources.messages";//$NON-NLS-1$

	private TestCorePluginResourceBundle() {
		// Do not instantiate
	}

	public static String _ERROR_ARG_NULL;
	public static String BasicTestLaunchConfigurationDelegate_monitorLaunchingTest;
	public static String _EXC_AbstractLaunchConfigurationDelegate_configurationProblems;
	public static String _EXC_AbstractLaunchConfigurationDelegate_preRunHandlerException;
	public static String _EXC_AbstractLaunchConfigurationDelegate_testHarnessProblems;
	public static String _EXC_BasicTestLaunchConfigurationDelegate2_noDeployment;
	public static String _EXC_BasicTestLaunchConfigurationDelegate2_noExecName;
	public static String _EXC_BasicTestLaunchConfigurationDelegate2_noExecLocation;
	public static String _EXC_BasicTestLaunchConfigurationDelegate2_locationDNE;
	public static String _EXC_BasicTestLaunchConfigurationDelegate2_nolaunchable;
	public static String _EXC_AbstractLaunchConfigurationDelegate_modeNotSupported;
	public static String TestExecutionProcess_testProcess;
	public static String RecorderClient_RECORDING_COMPLETED_MESSAGE;
	public static String RecorderClient_RECORDING_CANCELED_MESSAGE;
	public static String RecorderClient_Test_generation_started_with_generator___4;
	public static String RecorderClient_TEST_TO_BE_GENERATED;
	public static String RecorderClient_TEST_GENERATION_COMPLETE;
	public static String RecorderClient_TEST_GENERATION_ERRORS;
	public static String RecorderClient_UNABLE_TO_GENERATE_NO_TRACE_FILE;
	public static String RecorderClient_RECORDING_STARTED_STATUS_MESSAGE;
	public static String RecorderClient_START_RECORDING_ABORTED;
	public static String RecorderClient_RECORDER_ERROR;
	public static String RecorderClient_START_RECORDING_ABORTED_DUE_TO_EXCEPTION_STATUS_MESSAGE;
	public static String RecorderClient_STOP_RECORDING_ABORTED;
	public static String RecorderClient_STOP_RECORDING_ABORTED_DUE_TO_EXCEPTION_STATUS_MESSAGE;
	public static String RecorderClient_SENDING_COMMAND_STATUS_MESSAGE;
	public static String RecorderClient_CONNECTING_TO_RASERVER_STATUS_MESSAGE;
	public static String RecorderClient_STATUS_STOPPED;
	public static String RecorderClient_STATUS_INITIALIZING;
	public static String RecorderClient_STATUS_RECORDING;
	public static String RecorderClient_RAC_UNAVAILABLE_MESSAGE;
	public static String RecorderClient_RAC_UNAVAILABLE_MESSAGE_DESC1;
	public static String RecorderClient_MANUAL_START_APP;
	public static String RecorderClient_PROGRESS_TITLE;
	public static String RecorderClient_DEPLOYING_FILES;
	public static String RecorderClient_RECORDER_JARS_NOT_DEPLOYED;
	public static String RecorderClient_CANT_FIND_RECORDER_JARS_TO_DEPLOY;
	public static String RecorderFactory_ERROR_LOADING_RECORDER_DATA;
	public static String RecorderFactory_ERROR_LOADING_ATTRIBUTE;
	public static String RecorderFactory_ERROR_LOADING_RECORDER_DATA_TITLE;
	public static String RecorderDataProcessor_UNABLE_TO_CREATE_TRACE_FILE_ERROR;
	public static String RecorderClient_INTERNET_EXPLORER_ERROR;
	public static String TestGenerator_JOB_NAME;
	public static String TestGenFileUtil_FAILED_TO_GET_RESOURCE_ERROR_MESSAGE;
	public static String ExecutionHistoryTab_defaultTestName;
	public static String CoreUtil_ERROR_TMPDIR_INVALID;
	public static String JavaUtil_INVALID_SOURCE_FOLDER;
	public static String JavaUtil_CLOSED_SOURCE_FOLDER;
	public static String JavaUtil_MISSING_PACKAGE_NAME;
	public static String JavaUtil_MISSING_CLASS_NAME;
	public static String EMFUtil_ERROR_LOADING_RESOURCE;
	public static String EMFUtil_ERROR_LOADING_EMPTY_RESOURCE;
	public static String EMFUtil_ERROR_RELOADING_RESOURCE;

	static {
		NLS.initializeMessages(BUNDLE_NAME, TestCorePluginResourceBundle.class);
	}
}